﻿
html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px #000000;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

body {
    min-width: 360px;
    min-height: 360px;
    height: 100%;
    width: 100%;
}

#ajouter {
    text-align: center;
    font-size: 1.7rem;
    width: 2.6rem;
    height: 2.6rem;
    bottom: 4rem;
    right: 0;
    left: auto;
    border-style: solid;
    border-radius: 2rem;
    margin: 0.5rem;
}

@media (min-width: 768px) {
    #ajouter {
        bottom: 0;
    }
}

.nav-pills a.nav-link {
    padding: 0.1rem;
}

@media (min-width: 560px) {
    .nav-pills a.nav-link {
        padding: .5rem 1rem;
    }
}

.row .card {
    width: 100%;
}

.row .card .card-header {
    padding-top: 0.25em;
    padding-bottom: 0.25em;
}

.row .card .card-body {
    padding-bottom: 0.25em;
}

a.card.enfant .fas {
    font-size: 1.4rem;
}

a.card.enfant {
    min-width: fit-content;
    text-align: center;
    line-height: 1em;
}

    a.card.enfant:hover, a.card.enfant:focus {
        text-decoration: none;
    }

.card-deck {
    display: flex;
    flex-flow: row wrap; /* sinon sur 1 seule colonne en mobile */
}

    .card-deck .card {
        flex: 1 0 0; /* sinon pas en deck en mobile */
    }

    .card-deck .card-picto {
        min-width: 3.4rem; /* sinon picto pas visible */
        text-align: center;
    }

.border-transparent {
    border-width: 0;
}

.btn-picto {
    padding: 0.2rem;
    margin-top: -0.5rem;
    margin-bottom: -0.5rem;
    font-size: 1.5rem;
}

.btn-toggle {
    padding: 0.2rem 0.5rem;
    margin-top: -0.5rem;
    margin-bottom: -0.5rem;
}

.picto-checkbox {
    font-size: 2em;
    width: fit-content;
    padding: 0 0.2em;
    border-radius: 0.2em;
    border-width: 1px;
    border-style: solid;
}

.btn-picto i.fa-lock, .btn-picto i.fa-lock-open {
    border-radius: 0.25em;
    padding: 0.5rem;
}

/* color */

.btn-toggle {
    border-color: #000000;
    border-color: rgba(0, 0, 0, 0.2);
    color: black;
}

.nav-pills a.nav-link {
    color: #475058;
}

    .nav-pills a.nav-link.active, .btn-picto i.fa-lock, .btn-picto i.fa-lock-open {
        color: #f8f9fa;
        background-color: #475058;
    }

#mainnav, a.card.enfant {
    background-color: #f8f9fa;
}

a.card.enfant {
    color: #6c757d;
}

.picto-checkbox {
    border-color: #ced4da;
}

    .picto-checkbox .fa-check {
        color: green;
    }

    .picto-checkbox .fa-times {
        color: red;
    }

@media (prefers-color-scheme: dark) {
    body, .card, .breadcrumb {
        background-color: black;
        color: white;
    }

    ul.nav.nav-pills {
        border-top: 1px solid #444444;
    }

    ul.nav.nav-pills, header nav ol.breadcrumb {
        border-bottom: 1px solid #444444;
    }

    #mainnav, a.card.enfant, .btn-toggle {
        background-color: #1f2428;
    }

    a.card.enfant, .btn-toggle, .nav-pills a.nav-link, a.nav-link, i.fas, li.breadcrumb-item a.nav-item {
        color: white;
    }

        .nav-pills a.nav-link.active, .btn-picto i.fa-lock, .btn-picto i.fa-lock-open {
            background-color: darkblue;
        }

    #mainnav a.nav-link.active {
        background-color: darkblue;
    }
}
